Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Interface DiscoHints

All Superinterfaces:
  org.opensaml.common.SAMLObject, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

All Known Implementing Classes:
  DiscoHintsImpl

    public interface DiscoHints

extends org.opensaml.common.SAMLObject

See IdP Discovery and Login UI Metadata Extension Profile.

Field Summary
`static String` | `DEFAULT_ELEMENT_LOCAL_NAME` Name of the element inside the Extensions.
`static QName` | `DEFAULT_ELEMENT_NAME` Default element name.
`static String` | `MDUI_NS` Namespace for Discovery Service metadata extensions.
`static String` | `MDUI_PREFIX` Default namespace prefix used by this library.

Method Summary
`List<DomainHint>` | `getDomainHints()` The element specifies a set of DNS domains associated with, or serviced by, the entity.
`List<GeolocationHint>` | `getGeolocationHints()` The element specifies the geographic coordinates associated with, or serviced by, the entity.
`List<IPHint>` | `getIPHints()` The element specifies a set of [CIDR] blocks associated with, or serviced by, the entity.

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Field Detail

### MDUI_NS

    static final String MDUI_NS

  Namespace for Discovery Service metadata extensions.

  See Also:
    Constant Field Values

### MDUI_PREFIX

    static final String MDUI_PREFIX

  Default namespace prefix used by this library.

  See Also:
    Constant Field Values

### DEFAULT_ELEMENT_LOCAL_NAME

    static final String DEFAULT_ELEMENT_LOCAL_NAME

  Name of the element inside the Extensions.

  See Also:
    Constant Field Values

### DEFAULT_ELEMENT_NAME

    static final QName DEFAULT_ELEMENT_NAME

  Default element name.

Method Detail

### getIPHints

    List<IPHint> getIPHints()

  The element specifies a set of [CIDR] blocks associated with, or serviced by, the entity. Both IPv4 and IPv6 CIDR blocks MUST be supported.

  Returns:
    hints

### getDomainHints

    List<DomainHint> getDomainHints()

  The element specifies a set of DNS domains associated with, or serviced by, the entity.

  Returns:
    hints.

### getGeolocationHints

    List<GeolocationHint> getGeolocationHints()

  The element specifies the geographic coordinates associated with, or serviced by, the entity. Coordinates are given in decimal form using the World Geodetic System (2d) coordinate system.

  Returns:
    hints

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.